Skip to main content
`Ctrl`+`K`

# PetscViewerSAWsOpen

Opens an SAWs `PetscViewer`.

## Synopsis

    #include "petscsys.h"
    #include "petscviewersaws.h"
    PetscErrorCode PetscViewerSAWsOpen(MPI_Comm comm, PetscViewer *lab)

Collective; No Fortran Support

## Input Parameter

- comm - the MPI communicator

## Output Parameter

- lab - the `PetscViewer`

## Options Database Keys

- -saws_port <port number> - port number where you are running SAWs client

- -xxx_view saws - publish the object xxx

- -xxx_saws_block - blocks the program at the end of a critical point (for `KSP` and `SNES` it is the end of a solve) until the user unblocks the problem with an external tool that access the object with SAWS

## Notes

Unlike other viewers that only access the object being viewed on the call to `XXXView`(object,viewer) the SAWs viewer allows one to view the object asynchronously as the program continues to run. One can remove SAWs access to the object with a call to `PetscObjectSAWsViewOff()`.

Information about the SAWs is available via https://bitbucket.org/saws/saws

## See Also

Viewers: Looking at PETSc Objects, `PetscViewerDestroy()`, `PetscViewerStringSPrintf()`, `PETSC_VIEWER_SAWS_()`, `PetscObjectSAWsBlock()`, `PetscObjectSAWsViewOff()`, `PetscObjectSAWsTakeAccess()`, `PetscObjectSAWsGrantAccess()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/ams/amsopen.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages